Find by details
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/organizations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Federal Reserve",
"types": [
"Central Bank"
],
"countries": [
"US"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/organizations"
payload = {
"query": "Federal Reserve",
"types": ["Central Bank"],
"countries": ["US"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Federal Reserve', types: ['Central Bank'], countries: ['US']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/knowledge-graph/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => 'Federal Reserve',
'types' => [
'Central Bank'
],
'countries' => [
'US'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/knowledge-graph/organizations"
payload := strings.NewReader("{\n \"query\": \"Federal Reserve\",\n \"types\": [\n \"Central Bank\"\n ],\n \"countries\": [\n \"US\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bigdata.com/v1/knowledge-graph/organizations")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"Federal Reserve\",\n \"types\": [\n \"Central Bank\"\n ],\n \"countries\": [\n \"US\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/knowledge-graph/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"Federal Reserve\",\n \"types\": [\n \"Central Bank\"\n ],\n \"countries\": [\n \"US\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "F38FC4",
"name": "United States Federal Reserve",
"description": "The Federal Reserve System is the central banking system of the United States of America. It was created on December 23, 1913.",
"type": "Central Bank",
"country": "US",
"owner": "<string>"
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Organizations
Find by details
Find organizations such as central banks, regulators, government bodies and NGOs. Search by name or description and narrow the results by type, country, ultimate parent or owner.
POST
/
v1
/
knowledge-graph
/
organizations
Find by details
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/organizations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Federal Reserve",
"types": [
"Central Bank"
],
"countries": [
"US"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/organizations"
payload = {
"query": "Federal Reserve",
"types": ["Central Bank"],
"countries": ["US"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Federal Reserve', types: ['Central Bank'], countries: ['US']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/knowledge-graph/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => 'Federal Reserve',
'types' => [
'Central Bank'
],
'countries' => [
'US'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/knowledge-graph/organizations"
payload := strings.NewReader("{\n \"query\": \"Federal Reserve\",\n \"types\": [\n \"Central Bank\"\n ],\n \"countries\": [\n \"US\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bigdata.com/v1/knowledge-graph/organizations")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"Federal Reserve\",\n \"types\": [\n \"Central Bank\"\n ],\n \"countries\": [\n \"US\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/knowledge-graph/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"Federal Reserve\",\n \"types\": [\n \"Central Bank\"\n ],\n \"countries\": [\n \"US\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "F38FC4",
"name": "United States Federal Reserve",
"description": "The Federal Reserve System is the central banking system of the United States of America. It was created on December 23, 1913.",
"type": "Central Bank",
"country": "US",
"owner": "<string>"
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Body
application/json
Request body for finding organizations. Each field is optional. However, you must provide at least one field to perform a valid search. The values a filter accepts can be listed with GET /v1/knowledge-graph/organizations/values/{filter}.
Response
200 - application/json
Successful response with organizations data
Response containing organizations results and metadata
Was this page helpful?